Garret,

The global variable issue was pretty special and so far I've only heard of 3 people running into the error. But as I said you can easily solve the issue without upgrading.

Not upgrading will be a problem for their future and support and should be really discussed (and enforced?). For DataFlex (Reports) we cannot keep supporting old versions for ever.